INDEXDB_RNA(1)

NAME
indexdb_rna - tool for filtering, mapping and OTU-picking NGS reads (indexdb)

SYNOPSIS
indexdb_rna --ref db.fasta,db.idx [OPTIONS]

DESCRIPTION

SortMeRNA is a biological sequence analysis tool for filtering, mapping and OTU-picking NGS reads. The core algorithm is based on approximate seeds and allows for fast and sensitive analyses of nucleotide sequences. The main application of SortMeRNA is filtering rRNA from metatranscriptomic data. Additional applications include OTU-picking and taxonomy assignation available through QIIME v1.9+ (http://qiime.org - v1.9.0-rc1).

SortMeRNA takes as input a file of reads (fasta or fastq format) and one or multiple rRNA database file(s), and sorts apart rRNA and rejected reads into two files specified by the user. Optionally, it can provide high quality local alignments of rRNA reads against the rRNA database. SortMeRNA works with Illumina, 454, Ion Torrent and PacBio data, and can produce SAM and BLAST-like alignments.

OPTIONS

  MANDATORY OPTIONS

--ref STRING,STRING
    FASTA reference file, index file
    Example:
    --ref /path/to/file1.fasta,/path/to/index1
    If passing multiple reference sequence files, separate them by ':'
    Example:
    --ref /path/f1.fasta,/path/index1:/path/f2.fasta,path/index2

  OPTIONAL OPTIONS

--fast BOOL
    suggested option for aligning ~99% related species (default: off)

--sensitive BOOL
    suggested option for aligning ~75-98% related species (default: on)

--tmpdir STRING
    directory where to write temporary files

-m INT
    the amount of memory (in Mbytes) for building the index (default: 3072)

-L INT
    seed length (default: 18)

--max_pos INT
    maximum number of positions to store for each unique L-mer (default: 10000, setting --max_pos 0 will store all positions)

-v BOOL
    verbose

-h BOOL
    help